Subject: AW: AW: problem with run.exe in Windows-startup (Autostart) directory
From: "Paul Maier" <[email-masked]>
To: <[email-masked]>
Cc: "'Andrey Repin'" <[email-masked]>
Date: Mon, 23 Jul 2012 21:47:23 +0200
List-Id: <cygwin.cygwin.com>

> 
> > 2.) D:\Programme\cygwin\bin\run.exe /bin/tcsh.exe -c startx
> 
> >     And startx is an alias to: /bin/startxwin -- /bin/XWin
> 
> Why not start it directly, then?
> It's not cygwin-specific, both are remote access services. Using intermediate
> scripts only blurring your picture, and taking more time for system to
> startup.
> 
> I would understand, if you were using run-parts ~/profile.d/ kind of scripting, like me.
> But it seems it's not the case and all you want is to start certain
> application on startup. Do it!

Hello Andrey,

thank you very much for your answer!

> Why not start it directly, then? [...] Do it!

What do you mean by "start directly" and "Do it"?:

- Do you mean that I should start the X Server manually every time I boot Windows?
  That certainly would work, but that's not a solution for me. I want the X Server to start automatically on Windows login.

- Or do you mean that I should register XWin as Windows service? I looked through the Cygwin manual, but I didn't find a solution
how to register XWin as Windows service.
  I also tried out; but these tree attempts don't work:

sc create testabc binpath= "D:\Programme\Alias\startx.bat" displayname= "testabc" start= demand

sc create testabc1 binpath= "D:\Programme\cygwin\bin\startxwin.exe -- /bin/XWin -clipboard -emulate3buttons 100 -nounixkill
-nowinkill -xkboptions nbsp:level3" displayname= "testabc1" start= demand

sc create testabc2 binpath= "D:\Programme\cygwin\bin\XWin.exe -clipboard -emulate3buttons 100 -nounixkill -nowinkill -xkboptions
nbsp:level3" displayname= "testabc2" start= demand

They all come with the same error message on startup:

sc start testabc2
[SC] StartService FEHLER 1053:
Der Dienst antwortete nicht rechtzeitig auf die Start- oder Steuerungsanforderung.

Thank you very much!

Regards,
  Paul

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple